import React from 'react';
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'

const InputPanel = ({routes, onAdd, onDelete}) => (
  <div>
    {routes.map((stops, i) => (
      <RouteTile onDelete={() => onDelete(i)} key={i} stops={stops} />
    ))}
    <RouteTile onAdd={onAdd} stops={[]} />
  </div>
)

InputPanel.propTypes = {
  routes: PropTypes.arrayOf(PropTypes.arrayOf(PropTypes.string)).isRequired,
  onAdd: PropTypes.func.isRequired,
  onDelete: PropTypes.func.isRequired,
}

export default InputPanel
